Subject: Re: legal consultation (was List moderator action)
From: "Rob Wilton (rwilton)" <[email-masked]>
To: Rob Sayre <[email-masked]>, IETF discussion list <[email-masked]>
Date: Fri, 8 May 2026 17:30:22 +0000
List-Id: "IETF-Discussion. This is the most general IETF mailing list, intended for discussion of technical, procedural, operational, and other topics for which no dedicated mailing lists exist." <ietf.ietf.org>

I see that as a feature because if it an ID within datatracker then it is possible that someone may just take ideas from it, particularly because we now keep expired drafts around forever.

Further, I suspect that the chance that the reader would spot the no derivatives is probably close to zero.  I mean, do you ever check that boilerplate when reading an ID, or do you just assume that you know what it says and skip over it and go to the actual substance of the doc?

To me, keeping it feels like we are just leaving a legal bear trap in < 0.1% of drafts/RFCs to catch out the unwary.  And this is why I am so opposed to Daniel including the boiler plate in emails.  Generally, I do not bother reading boilerplate, so it creates an unfriendly and unnecessary legal trap for the unwary for which the simplest and safest solution is arguably to just delete any emails from, or in reply to, Daniel.  But I would of course much prefer that Daniel just participates without including it.

Kind regards,
Rob

From: Rob Sayre <[email-masked]>
Date: Friday, 8 May 2026 at 18:05
To: IETF discussion list <[email-masked]>; Rob Wilton (rwilton) <[email-masked]>
Subject: Re: legal consultation (was List moderator action)

"Rob Wilton (rwilton)" <[email-masked]<mailto:[email-masked]>>:
> I think that I'm with the John Levine solution for this one.  Just stick the draft/idea on github and don't publish it to IETF as an ID.

I wish it were so, but I think we need these for the meeting minutes, even if the work is not adopted.

thanks,
Rob